Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.domain.geoloc.importer
Interface IImporterManager

All Known Implementing Classes:
  ImporterManager

    public interface IImporterManager

Method Summary
`java.lang.String` | `getFormatedTimeElapsed()`
`ImporterConfig` | `getImporterConfig()`
`java.util.List<IGeonamesProcessor>` | `getImporters()`
`java.util.List<ImporterStatusDto>` | `getStatusDtoList()`
`long` | `getTimeElapsed()`
`void` | `importAll()` synchronized method to Import all the GisFeatures according the `ImporterConfig` and the several importers define in the applicationContext-geoloc file.
`boolean` | `isAlreadyDone()`
`boolean` | `isInProgress()`
`java.util.List<NameValueDTO<java.lang.Integer>>` | `resetImport()` /!

Method Detail

### importAll

    void importAll()

  synchronized method to Import all the GisFeatures according the `ImporterConfig` and the several importers define in the applicationContext-geoloc file.

### getImporterConfig

    ImporterConfig getImporterConfig()

  Returns:
    the importerConfig

### getImporters

    java.util.List<IGeonamesProcessor> getImporters()

  Returns:
    the importers

### isInProgress

    boolean isInProgress()

  Returns:
    Wether an import is in Progress

### isAlreadyDone

    boolean isAlreadyDone()

  Returns:
    Wether the import has already been done (error or successful)

### getTimeElapsed

    long getTimeElapsed()

  Returns:
    the time the last import took. If the import is in progress, returns the time it took from the beginning. If the import has not been started yet return 0.

### getFormatedTimeElapsed

    java.lang.String getFormatedTimeElapsed()

  Returns:
    The human readable elapsed time .

### resetImport

    java.util.List<NameValueDTO<java.lang.Integer>> resetImport()

  /!\ USE THIS METHOD VERY CAREFULLY /!\ : If you call this function, all the imported data will be deleted clear all the tables with GisFeature (and subclass, adm, languages, country,...), delete alternatenames, delete all the fulltext search engine entries, in order to re-run a new import from scratch

  Returns:
    a NameValueDTO with the name of the deleted object and the number of deleted Object. No entry will be return for Object that were 0 object will be deleted.

### getStatusDtoList

    java.util.List<ImporterStatusDto> getStatusDtoList()

  Returns:
    a list of DTO for each importers

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.